Skip to main content
POST
/
api
/
dev
/
create_listing
curl -X POST "https://api.liquid.tf/api/dev/create_listing" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_SITE_API_KEY" \
  -d '{
    "items": [{
      "asset_id": "12321312414",
      "price": 16500,
      "promoted": 0,
      "game": "440",
      "user_note": "Great condition! Fast delivery"
    }]
  }'
{
  "success": true,
  "created_listings": [
    {
      "listing_id": "66f2b3f4c4a1f7b9a8a4f123",
      "sku": "5021;6",
      "asset_id": "12321312414"
    }
  ]
}

Overview

Creates marketplace listings for your items. You can create up to 100 listings in a single request.

Authentication

X-API-Key
string
required
Your site API key

Rate Limit

5 requests per minute

Request Body

items
array
required
Array of items to list (max 100 items)
multiaccount_proxy
string
Steam ID of a linked account to associate with these listings. When set, the listing’s automation status will be determined by that linked account’s user agent instead of the main account’s.

Response

success
boolean
Returns true if listings were successfully created
created_listings
array
Array of created listing objects
curl -X POST "https://api.liquid.tf/api/dev/create_listing" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_SITE_API_KEY" \
  -d '{
    "items": [{
      "asset_id": "12321312414",
      "price": 16500,
      "promoted": 0,
      "game": "440",
      "user_note": "Great condition! Fast delivery"
    }]
  }'
{
  "success": true,
  "created_listings": [
    {
      "listing_id": "66f2b3f4c4a1f7b9a8a4f123",
      "sku": "5021;6",
      "asset_id": "12321312414"
    }
  ]
}

Batch Limit

Max 100 items per request

To create more than 100 listings, make multiple API calls.

Notes

All prices are in cents. For example, $1.65 = 16500 cents.
Set promoted: 1 to feature your listing. Promoted listings appear first in search results.
User notes are visible to all buyers and can help provide additional context about your item (e.g., “Craft #42”, “Clean history”).
Use multiaccount_proxy to manage listings across multiple Steam accounts from one API key.